| ontogetroot

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get ontology root terms by child identifier

## Description

ontogetroot displays on-screen for a named ontology the root term statement(s). The information may be written to an output file in various formats.

Ontologies from the EMBOSS data directory are used.

## Usage

Here is a sample session with ontogetroot

    % ontogetroot edam:1234
    Get ontology root terms by child identifier
    Obo output file [1234.obo]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get ontology root terms by child identifier
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outobo     [*.ontogetroot] Output ontology term file
                                      name

       Additional (Optional) qualifiers:
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.ontogetroot
Additional (Optional) qualifiers
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### Database entry: edam:1234

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

## Output file format

The default behaviour is to report the entire OBO term statement from the ontology. Optionally, then only the the term id, name and namespace, or just the term id will be reported.

The output file by default is in OBO plain text format as used by the ontologies in the EMBOSS data directory and explained at http://www.geneontology.org/GO.format.obo-1_2.shtml.

Optionally, the output can be in HTML, OBO-XML or JSON format.

### Output files for usage example

### File: 1234.obo

    [Term]
    id: EDAM_data:0006
    name: Data
    namespace: data
    def: Information, represented in an information artefact (data record) that is 'understandable' by dedicated computational tools that can use the data as input or produce it as output.
    subset: data
    synonym: "Datum" EXACT [http://edamontology.org] {note="The multiplicity is not taken into account."}
    synonym: "Data record" EXACT [http://edamontology.org] {note="Currently we are for practical purposes not distinguishing a data record (a tool-understandable information artefact) from data or datum (its content, the tool-understandable information)."}
    synonym: "Data set" EXACT [http://edamontology.org] {note="The multiplicity is not taken into account."}
    synonym: "Data" EXACT [http://wsio.org/data_002]
    synonym: "continuant" BROAD [snap:Continuant]
    synonym: "digital entity" RELATED [http://purl.org/biotop/biotop.owl#DigitalEntity]
    synonym: "Perpetuant" RELATED [http://www.onto-med.de/ontologies/gfo.owl#Perpetuant] {note="GFO 'Perpetuant' is in general broader than data, but it may be seen narrower in the sense of being a concrete individual."}
    synonym: "data item" RELATED [http://semanticscience.org/resource/SIO_000069] {note="Data does theoretically not need to have a purpose, but in all regular cases it does. Remark: EDAM Data sub-ontology focuses on scientific data (SIO_000472), in particular the bioinformatics (SIO_010065) and biological (SIO_010019)."}
    synonym: "data item" RELATED [http://purl.obolibrary.org/obo/IAO_0000027] {note="IAO 'data item' is a closely related ontological category (concept) broader in the sense of being any type of data in any role, and narrower in the sense of being limited to a 'generically_dependent_continuant' (snap:GenericallyDependentContinuant), standing in relation of aboutness to some entity (http://purl.obolibrary.org/obo/IAO_0000030), and to data that is intended to be a truthful statement about something."}
    synonym: "information content entity" RELATED [http://purl.obolibrary.org/obo/IAO_0000030] {note="IAO 'information content entity' is a closely related ontological category (concept) broader in the sense of covering any type of data in any role, and narrower in the sense of being limited to a 'generically_dependent_continuant' (snap:GenericallyDependentContinuant) and standing in relation of aboutness to some entity."}
    synonym: "record" RELATED [http://semanticscience.org/resource/SIO_000088] {note="Data does however not necessarily contain statements and not necessarily about an entity."}
    relationship: has_topic EDAM_topic:0003 ! Topic ! Unfortunately, OBO-Edit2 doesn't show the subject concept at the top level when browsed with the 'f' option.

## Data files

OBO-format ontologies must be installed in the EMBOSS data directory and indexed. This is done automatically for typical installations.

## Notes

## References

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

This application was modified by Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None